diff --git a/doc/src/sgml/hstore.sgml b/doc/src/sgml/hstore.sgml
index 08e0d7b..442dad5 100644
--- a/doc/src/sgml/hstore.sgml
+++ b/doc/src/sgml/hstore.sgml
@@ -203,7 +203,7 @@
      <row>
       <entry><literal>%#</> <type>hstore</></entry>
       <entry>convert hstore to 2-dimensional key/value array</entry>
-      <entry><literal>%% 'a=&gt;foo, b=&gt;bar'::hstore</></literal></entry>
+      <entry><literal>%# 'a=&gt;foo, b=&gt;bar'::hstore</></literal></entry>
       <entry><literal>{{a,foo},{b,bar}}</literal></entry>
      </row>
 
@@ -407,6 +407,8 @@ CREATE INDEX hidx ON testhstore USING GIN (h);
   </para>
   <programlisting>
 CREATE INDEX hidx ON testhstore USING BTREE (h);
+
+CREATE INDEX hidx ON testhstore USING HASH (h);
   </programlisting>
  </sect2>
 
@@ -474,13 +476,14 @@ SELECT (r).* FROM (SELECT t #= '"col3"=>"baz"' AS r FROM test t) s;
   </para>
 
   <para>
-   This version of the module uses a different internal representation
-   than previous versions. This presents no obstacle for dump/restore
-   upgrades since the text representation (used in the dump) is unchanged.
+   As of PostgreSQL 8.5, <type>hstore</> uses a different internal
+   representation than previous versions. This presents no obstacle for
+   dump/restore upgrades since the text representation (used in the dump) is
+   unchanged.
   </para>
 
   <para>
-   However, in the event of doing a binary upgrade, upward
+   In the event of doing a binary upgrade, upward
    compatibility is maintained by having the new code recognize
    old-format data. This will entail a slight performance penalty when
    processing data that has not yet been modified by the new code. It is
